<% attachmenttypes = @course.attachmenttypes %>
<% sufixtypes = @course.contenttypes %>


<%= stylesheet_link_tag  'resource', :media => 'all' %>
<script>
    function show_upload()
    {
        $('#ajax-modal').html('<%= escape_javascript(render :partial => 'upload_show',:locals => {:course => @course}) %>');
        showModal('ajax-modal', '513px');
        $('#ajax-modal').siblings().remove();
        $('#ajax-modal').before("<span style='float: right;cursor:pointer;padding-left: 513px;'><a href='javascript:void(0)' onclick='closeModal()'><img src='/images/bid/close.png' width='26px' height='26px' /></a></span>");
        $('#ajax-modal').parent().css("top","5").css("left","511");
    }

    function closeModal()
    {
        hideModal($("#popbox_upload"));
    }

    function presscss(id)
    {
        if(id == "incourse")
        {
            $('#incourse').attr("class", "re_schbtn b_dblue");
            $('#insite').attr("class", "re_schbtn b_lblue");
        }
        else
        {
            $('#incourse').attr("class", "re_schbtn b_lblue");
            $('#insite').attr("class", "re_schbtn b_dblue");
        }
    }
    function buttoncss()
    {
        $('#incourse').attr("class", "re_schbtn b_lblue");
        $('#insite').attr("class", "re_schbtn b_lblue");
    }

</script>

<div class="container">
  <div class="resource"><!--资源库内容开始--->
    <div class="re_top">
      <%= form_tag( search_course_files_path(@course), method: 'get',:class => "re_search f_l",:remote=>true) do %>
          <%= text_field_tag 'name', params[:name], name: "name", :class => 're_schbox',:style=>"padding: 0px"%>
          <%= submit_tag "课内搜索", :class => "re_schbtn b_lblue",:name => "incourse",:id => "incourse", :onmouseover => "presscss('incourse')",:onmouseout =>"buttoncss()" %>
          <%= submit_tag "全站搜索", :class => "re_schbtn b_lblue",:name => "insite",:id => "insite",:onmouseover => "presscss('insite')",:onmouseout =>"buttoncss()" %>
      <% end %>
      <% if is_course_teacher(User.current,@course) %>
          <a href="javascript:void(0)" class="re_fabu f_r b_lblue" onclick="show_upload()">上传资源</a>
      <% end %>
    </div><!---re_top end-->
    <div class="cl"></div>

    <div class="re_con" id="course_list">
      <%= render :partial => 'course_list',:locals => {course: @course,all_attachments: @all_attachments,sort:@sort,order:@order,curse_attachments:@curse_attachments}  %>
    </div><!---re_con end-->

  </div>

</div>
<% html_title(l(:label_attachment_plural)) -%>